<!-- File name:calendar.jsp --> 
<!-- 显示任意年、月的日历 --> 
<!-- 可选择不同的年、月。 -->
<%@ page language="java" import="java.util.*" %> 
<%! 
  String year; 
  String month; 
%> 
<!-- 获得客户表单参数 -->
<% 
  month=request.getParameter("month"); 
  year =request.getParameter("year"); 
%> 
<html> 
  <head> 
    <meta http-equiv="Content-Type" content="text/html; charset=gb2312"> 
    <title>日历</title> 
  <!— 设定脚本语言为Java -->
    <script Language="JavaScript"> 
    <!-- 
    function changeMonth() 
//在新窗口中显示选定的月份日历
    { 
        var mm="calendar.jsp?month="+document.sm.elements[0].selectedIndex+"&year="
+<%=year%>; 
        window.open(mm,"_self"); 
    } 
    //-->
    </script> 
  </head>
 
<%! String days[]; %> 
<% 
 //每个月的日历为6行×7列
  days=new String[42]; 
 //日历表数组初始化
  for(int i=0;i<42;i++) 
  { 
	days[i]="";  
  } 
%> 
<% 
 //获得Calender类的一个实例
  Calendar thisMonth=Calendar.getInstance(); 
//设置月份
  if(month!=null && (!month.equals("null"))) 
    thisMonth.set(Calendar.MONTH, Integer.parseInt(month));
//设置年份
  if(year!=null && (!year.equals("null"))) 
    thisMonth.set(Calendar.YEAR, Integer.parseInt(year));
 //获得表示年份的字符串
  year=String.valueOf(thisMonth.get(Calendar.YEAR));
 //获得表示月份的字符串
  month=String.valueOf(thisMonth.get(Calendar.MONTH));
  thisMonth.setFirstDayOfWeek(Calendar.SUNDAY); 
  thisMonth.set(Calendar.DAY_OF_MONTH,1); 
  int firstIndex=thisMonth.get(Calendar.DAY_OF_WEEK)-1; 
  int maxIndex=thisMonth.getActualMaximum(Calendar.DAY_OF_MONTH); 
  for(int i=0;i<maxIndex;i++) 
  { 
	days[firstIndex+i]=String.valueOf(i+1);  
  }
//日历表数组值设置完毕
%> 
<body> 
<FORM name="sm" method="post" action="calendar.jsp"> 
&nbsp;&nbsp;&nbsp;<%=year%>年&nbsp;&nbsp;<%=Integer.parseInt(month)+1%>月 
<table border="0" width="168" height="81"> 
<div align="center">
<!-- 日历表的第一行,显示星期 --> 
<tr> 
  <th width="25" height="16" bgcolor="#FFFF00"><font color="red">日</font></th> 
  <th width="25" height="16" bgcolor="#FFFF00">一</th> 
  <th width="25" height="16" bgcolor="#FFFF00">二</th> 
  <th width="25" height="16" bgcolor="#FFFF00">三</th> 
  <th width="25" height="16" bgcolor="#FFFF00">四</th> 
  <th width="25" height="16" bgcolor="#FFFF00">五</th> 
  <th width="25" height="16" bgcolor="#FFFF00"><font color="green">六</font></th> 
</tr>
<!-- 日历表的其他行,显示日期 --> 
<% 
for(int j=0;j<6;j++) 
{ 
%> 
<tr> 
  <% for(int i=j*7;i<(j+1)*7;i++) 
     { 
  %> 
      <td width="15%" height="16" bgcolor="#C0C0C0" valign="middle" align="center"> 
        <%=days[i]%> </td> 
  <% 
     } 
  %> 
</tr> 
<% 
} 
%> 
</div>
</table>
<!--  客户表单客户可选择部分,月份和年份的选择 --> 

<table border="0" width="168" height="20"> 
<tr> 
  <td width=30%>
	<select name="month" size="1" onchange="changeMonth()" > 
	<option value="0">一月</option> 
	<option value="1">二月</option> 
	<option value="2">三月</option> 
	<option value="3">四月</option> 
	<option value="4">五月</option> 
	<option value="5">六月</option> 
	<option value="6">七月</option> 
	<option value="7">八月</option> 
	<option value="8">九月</option> 
	<option value="9">十月</option> 
	<option value="10">十一月</option>
	<option value="11">十二月</option> 
	</select>
<!--  上面每一行对应日历上月份一个可选项 -->
  </td> 
  <td width=28%>
    <input type=text name="year" value=<%=year%> size=4 maxlength=4>
  </td> 
  <td>年</td> 
  <td width=28%><input type=submit value="提交"></td> 
<!--  上面对应页面“提交”按钮的操作  -->
</tr> 
</table> 
</FORM> 
<script Language="JavaScript"> 
<!—
//默认所选择月份为当前月
document.sm.month.options.selectedIndex=<%=month%>; 
//--> 
</script> 
</body> 
</html>

